Core - Bug # 47988

Status: Resolved Priority: Should have

Author: Sascha Egerer Category: FormEngine aka TCEforms
Created: 2013-05-06 Assigned To:

Updated: 2013-07-22 Due date:

TYPO3 Version: 4.5

PHP Version:

Complexity: easy

Is Regression:

Sprint Focus:

Subject: Colon not possible in TCA "displayCond" value

Description

Currently a colon is not possible in the value of a display condition for TCA fields.

So something like this would does work:

FIELD:view.templateRootPath:=:EXT:myext/Resources/Private/Templates/customTemplateFolder/

The funtion "isDisplayCondition" explodes the string by the ":" character. So the example string is exploded into 5 parts but the 5th
part is ignored.

The "explode" should be limited to 4 parts and 4th part should contain the whole string after the third colon.

Related issues:
related to Core - Task # 46461: Extract displayCond functionality from FormEn... Resolved 2013-03-20

Associated revisions

Revision 7f42eca5 - 2013-07-22 19:55 - Sascha Egerer

[BUGFIX] Allow colon in last "displayCond" part

Explode the "displayCond"-string just to required
number of parts. So the last part can also contain colons.

Also backports unit-tests from ElementConditionMatcher of
TYPOS 6.1 and adds a check for this colon-bugfix here.

Resolves: #47988

Releases: 6.0, 4.7, 4.5

Change-Id: 1940e17ea346dda91607573406fd83d919d83e36a
Reviewed-on: https://review.typo3.org/20552

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2013-05-06 16:37 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/20552

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.0rg/20551

#2 - 2013-05-06 16:45 - Thorsten Kahler

Sascha Egerer wrote:

The "explode" should be limited to 4 parts and 4th part should contain the whole string after the third colon.

I'd even prefer to explode only into 2 parts and split the second part according to the case (FIELD, EXT, REC, ...).

#3 - 2013-05-06 18:11 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/20552

#4 - 2013-05-12 02:15 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20552

#5 - 2013-05-12 02:16 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.0rg/20552

#6 - 2013-07-22 19:54 - Gerrit Code Review

Patch set 4 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20552

#7 - 2013-07-22 20:32 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7f42eca5563f16f7fc408d1bfa45eb532d109cef.
